import Vue from 'vue'
import { createPinia, PiniaVuePlugin } from 'pinia'

import App from './App.vue'
import router from './router'
import 'amfe-flexible';
import Vant from 'vant';
// 引入 Vconsole
import Vconsole from 'vconsole'
// 所有环境均使用
new Vconsole()

import 'vant/lib/index.css';
import './assets/main.css'

Vue.use(PiniaVuePlugin)
Vue.use(Vant);


new Vue({
  router,
  pinia: createPinia(),
  render: (h) => h(App)
}).$mount('#app')
