import Vue from 'vue'
import VueRouter from 'vue-router'

Vue.use(VueRouter)
/* Layout 引入公共样式*/ 
// import Layout from '@/layout/index.vue' 

const router = new VueRouter({
  mode: 'history',
  base: import.meta.env.BASE_URL,
  routes: [

    {
      path: '/',
      name: 'home',
      component: () => import('../views/HomeView.vue')
    },
    {
      path: '/about',
      name: 'about',
      // route level code-splitting
      // this generates a separate chunk (About.[hash].js) for this route
      // which is lazy-loaded when the route is visited.
      component: () => import('../views/AboutView.vue')
    },
    // 引入公共样式路由
    // {
    //   path: '',
    //   component: Layout,
    //   // redirect: 'index',
    //   children: [ // 引入公共样式-子路由
    //     {
    //       path: '/',
    //       component: () => import("@/views/home.vue"),
    //       name: 'Home',
    //       meta: { title: '首页', icon: 'dashboard', affix: true }
    //     },
    //   ]
    // },

  ]
})

export default router
