import Cookies from "js-cookie";
/**
* 参数处理
* @param {*} params  参数
*/
export function tansParams(params) {
    let result = ''
    for (const propName of Object.keys(params)) {
        const value = params[propName];
        var part = encodeURIComponent(propName) + "=";
        if (value !== null && value !== "" && typeof (value) !== "undefined") {
            if (typeof value === 'object') {
                for (const key of Object.keys(value)) {
                    if (value[key] !== null && value[key] !== "" && typeof (value[key]) !== 'undefined') {
                        let params = propName + '[' + key + ']';
                        var subPart = encodeURIComponent(params) + "=";
                        result += subPart + encodeURIComponent(value[key]) + "&";
                    }
                }
            } else {
                result += part + encodeURIComponent(value) + "&";
            }
        }
    }
    return result
}

// 验证是否为blob格式
export function blobValidate(data) {
    return data.type !== 'application/json'
}

// 处理链接是否有 https/http
export function regularLinks(params) {
    // console.log('处理链接是否有------util-----params---->', params);
    return new Promise((resolve, reject) => {
        let reg = /(http|https):\/\/([\w.]+\/?)\S*/ig
        let regStart = params.match(reg);
        console.log('处理链接是否有------util-----params---->', regStart);
        if (regStart) {
            resolve(params)
        } else {
            resolve('http://' + params)
        }
    })
}

